import request from "@/api/request.js";

// 合作限制-首页统计接口
export function getCoopRestrictionStatistics() {
    return request({
        method: 'GET',
        url: `/api/cooperationlimitinfo/getCount`
    })
}

// 合作限制-查询最新动态信息接口
export function getCoopRestrictionTrends() {
    return request({
        method: 'GET',
        url: `/api/cooperationlimitinfo/getLatestTrends`
    })
}

// 合作限制-查询风险信号接口
/**
 * @param {moduleId} 
 * @header token
 */
export function getCoopRestrictionSignals(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/riskSignal/${params.moduleId}`
    })
}

// 合作限制-查询新闻资讯接口
/**
 * @param {moduleId} 
 * @header token
 */
export function getCoopRestrictionNews(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/news/${params.moduleId}`
    })
}

// 合作限制-查询社交媒体接口
/**
 * @param {moduleId} 
 * @header token
 */
export function getCoopRestrictionSocial(params) {
    return request({
        method: 'GET',
        url: `/api/commonFeature/social/${params.moduleId}`
    })
}

// 合作限制-各类型合作限制政策对比接口
/**
 * @param {years} 
 * @header token
 */
export function getCoopRestrictionCompare(params) {
    return request({
        method: 'GET',
        url: `/api/cooperationlimitinfo/getLimitCompare`,
        params
    })
}

// 合作限制-各领域规则分布情况接口
/**
 * @param {year} 
 * @header token
 */
export function getCoopRestrictionDomain(params) {
    return request({
        method: 'GET',
        url: `/api/cooperationlimitinfo/getLimitArea`,
        params
    })
}